import { ReactNode } from 'react';
import { QueryBuilderProps } from './types';
export declare function QueryBuilder(props: Omit<QueryBuilderProps, 'apiUrl'> & {
    displayPrivateItems?: boolean;
    apiUrl: string | null;
    children?: ReactNode;
}): import("react/jsx-runtime").JSX.Element | null;
